import { jsx } from "react/jsx-runtime";
import { ShrimpIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Shrimp = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Shrimp", ...props, children: /* @__PURE__ */ jsx(ShrimpIcon, { weight: variant }) });
  }
);
Shrimp.displayName = "Shrimp";
Object.assign(Shrimp, { isGdsIcon: true });
export {
  Shrimp
};
